Subject: Re: 1.5.5: Problem with Convert::ASN1 module and Perl 5.8.0
From: "Gerrit P. Haase" <[email-masked]>
To: Russell Tokuyama <[email-masked]>
Cc: [email-masked]
Date: Sun, 19 Oct 2003 20:30:08 +0200

Hallo Russell,

you wrote:
> An indicator of trouble is:

> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
> $ perl -e 'use POSIX;print POSIX::HUGE_VAL, "\n";'
> -6.77154008269804e-229
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

> It should be something like:

> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
> $ perl -e 'use POSIX;print POSIX::HUGE_VAL, "\n";'
> Inf
> - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

> It appears that the perl-5.8.0-5.tar.bz2 package that Cygwin 1.5.5
> installs was compiled with GCC 3.2 while GCC 3.3.1 comes with
> the 1.5.5 distribution.  Recompiling Perl 5.8.0 using the
> perl-5.8.0-5-src.tar.bz2 source package resulted in Convert::ASN1
> passing its tests.

[...]

> I'm not sure what differences there are between the versions of
> GCC used but I noticed that the lseeksize is different with
> GCC 3.2 saying 4 while GCC 3.3.1 says 8.

> I didn't try the perl-5.8.0-5.tar.bz2 binary package with Cygwin
> 1.3.22 which it was compiled under.  Nor did I try the
> perl-5.8.1-2.tar.bz2 binary packae from Cygwin 1.5.5.

> While the perl-5.8.0-5.tar.bz2 binary package does run under
> Cygwin 1.5.5, other Perl modules may not fare as well.

Many thanks for the detailed report.  One more point for 5.8.1 which
is already available, 5.8.1-2 seems to return the correct value with
your testcase, please consider upgrading to 5.8.1-2, though it is
still delivered as test it shold be much better than 5.8.0-5.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/